<?php
/*
 * @Overview 설비별 가동이력 관리
 * @History 2024-04-18 / 최승연 / 최초작성
 */

$cate_id = "REG_FACLT_RESULT";

include_once "{$_SERVER['DOCUMENT_ROOT']}/common.inc.php";
include_once _SVC_INC_PATH_ . "/auth_check.php";
include_once _HOME_INC_PATH_ . "/ajax_init.php";

if (!_notAuth("R")) {


  switch ($_REQUEST['mode']) {


    case 'getFacltRsltList':


      $squl = "USP_P_FACLT_OPER_HST_S10";

      $params = array(
        "P_START_DATE" => $_REQUEST["date_st"] ?: "",
        "P_END_DATE"   => $_REQUEST["date_ed"] ?: "",
         "P_FACLT_NM"   => $_REQUEST["FACLT_NM"] ?: ""
      );
      $rst = $baseObj->DB->exec($squl, $params);

      $rows = array();
      if ($rst) {
        $retval['code'] = true;
        while ($row = $baseObj->DB->fetch_array($rst)) {
          $rows[] = $row;
        }
        ;
        $retval['data'] = $rows;
        $retval['mesg'] = '정상 동작 되었습니다.';
      } else {
        $retval['code'] = false;
      }



      break;

    case 'putFacltRslt':
      if (_notAuth("W"))
        break;

      $_REQUEST["reqdata"] = json_decode($_REQUEST['reqdata']);

      $rst = true;

      foreach ($_REQUEST['reqdata'] as $data) {
        $data = (array) $data;
        $sql = "USP_P_FACLT_OPER_U10";

        // $_REQUEST['RS_CODE'] = "";
        // $_REQUEST['RS_MSG'] = "";
        $params = array(
          "P_FACLT_OPER_NO"  =>  $data["FACLT_OPER_NO"],
          "P_RUNSTOP_GB"     =>  $data["RUNSTOP_GB"]?:"",
          "P_STOP_CD"        =>  $data["STOP_CD"]?:"",
          "P_OPER_ST_TM"     =>  $data["OPER_ST_TM"]?:"",
          "P_OPER_ED_TM"     =>  $data["OPER_ED_TM"]?:"",

          "MAKE_USER_ID"     =>  $GLOBALS['_Umem']['member_id']

          // "RS_CODE"      => array(&$_REQUEST['RS_CODE'], SQLSRV_PARAM_OUT),
          // "RS_MSG"       => array(&$_REQUEST['RS_MSG'], SQLSRV_PARAM_OUT)
        );


        // if ($data['_STATUS_'] == 'D') {
        //   $sql = "USP_P_WO_DEF_RSLT_D10";

        //   $params = array(
        //     "DEF_NO" => $data['DEF_NO'],

        //     "RS_CODE"      => array(&$_REQUEST['RS_CODE'], SQLSRV_PARAM_OUT),
        //     "RS_MSG"       => array(&$_REQUEST['RS_MSG'], SQLSRV_PARAM_OUT)
        //   );

        // } else {

          // // 길이제한
          // if (strlen($data['DEF_NO']) > 20) { $_REQUEST['RS_MSG'] = cUtil\Mlang::getText("부서코드는 20자 내로 작성해주세요."); $rst = false; break; }
          // if (mb_strlen($data['DEF_NO']) > 50) { $_REQUEST['RS_MSG'] = cUtil\Mlang::getText("부서명은 50자 내로 작성해주세요."); $rst = false; break; }

          // switch ($data['_STATUS_']) {
          //   case 'I':
          //     $sql = "USP_P_WO_DEF_RSLT_I10";
          //     break;

          //   case 'U':
          //     $sql = "USP_P_FACLT_OPER_U10";
          //     break;
          // };


        // }

        $rst = $baseObj->DB->exec($sql, $params);


      }

      if ($rst && !$_REQUEST['RS_CODE']) {
        $retval['code'] = true;
      } else {
        $retval['code'] = false;
        $retval['mesg'] = $_REQUEST['RS_MSG'];
      }
      break;

  }
}

if (!$_REQUEST['no_echo']) {
  echo json_encode($retval);
  // echo $retval;
}
